// package main -- пускач для настольног оприложения бота
package main

import (
	"os"

	"github.com/sirupsen/logrus"

	"wartank/desktop"
)

func main() {
	logrus.SetLevel(logrus.DebugLevel)
	logrus.Infoln("main()")
	desktop, err := desktop.NewDesktop()
	if err != nil {
		logrus.WithError(err).Errorf("main(): in create Desktop")
		os.Exit(1)
	}
	if err := desktop.Run(); err != nil {
		logrus.WithError(err).Errorf("main(): in run Desktop")
		os.Exit(2)
	}
}
